

<?php
if($_COOKIE["usuario"]==""){
 echo "<script>window.location.href='../php/logout.php'</script>";
}
  include_once '../header.php';
  include_once("../php/config.php");
$sql_tasa = mysql_query("select * from tasas where moneda='GOURDE'") or die (mysql_error());


$venta_gourde = @mysql_result($sql_tasa,0,"venta");
   

?>

<style>
.nav{
	display:none;
}

a{
	font-weight:30px;
}

</style>

<div class="container" style="background:white; padding:15px;">

<span style="font-weight:bolder; font-size:21px;" class="text-rojo"><i class="bi bi-phone-flip"></i>CLIENTES RUTA  <?php echo $_GET['ruta']."-".$_GET['zona']?></span><br>
<a class="text-primary" href="rutas.php"><i class="bi bi-pin-map"></i> Rutas</a><br>
<span class="text-rojo"><?php echo "USUARIO: ".$_COOKIE["usuario"]?></span><br>
<?php if($_COOKIE["nivel"]=="Vendedor"){?>
<a class="text-primary" href="main.php"><i class="bi bi-cash-coin"></i> Ir a Punto de venta</a> |
<?php }?>
<a class="text-primary" href="historial_cobro.php"><i class="bi bi-bar-chart-line"></i> Historial de cobros</a>
| <a class="text-primary" href="../php/logout.php"><i class="bi bi-database-add"></i> Salir</a>
<br><br>
<div class="row">

   <div class="col-xs-5 col-md-5"><input type="search" class="form-control" id="buscar" placeholder="Busqueda rapida..." onKeyUp="mostrar()"></div>
    <div class="col-xs-7 col-md-7"><button class="btn btn-orange" onClick="get_ultimo()"><i class="bi bi-printer"></i><b>  Reimprimir</b></button></div>
</div>
<br>
	<div class="table-responsive" id="lista" style="height:800px; overflow-x:scroll; overflow-y:scroll">

   </div>




</div>



<div class="modal" id="modalActualizar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-rojo" id="exampleModalLabel"><i class="bi bi-user"></i> DATOS DEL CLIENTE</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
	  
	  <div class="row">
          <div class="col-xs-3">
            <b>Codigo</b>
          </div>
	       <div class="col-xs-4">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="id" disabled>
       
          </div>
        </div>
		
        <div class="row">
          <div class="col-xs-3">
            <b>Cliente</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="cliente" disabled>
       
          </div>
        </div>
		
		
			<div class="row" style="display:none">
          <div class="col-xs-3">
            <b>Sub-Balance</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="balance" disabled>
       
          </div>
        </div>
		
		
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Balance Neto</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="balance_neto" disabled>
       
          </div>
        </div>
		
		
	
			<div class="row">
          <div class="col-xs-3">
            <b style="color:blue">Nota</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="nota" placeholder="Poner nota (opcional)">
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>MONTO PAGO</b>
          </div>
	       <div class="col-xs-9">
               <input placeholder="0.00" style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="monto" onKeyUp="validar_monto(this.value)">
       
          </div>
        </div>
		
				
		
	

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde mt-2" data-dismiss="modal" onclick="grabar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Cobrar</a>
		<a class="btn btn-orange mt-2" data-dismiss="modal" onclick="nota()" id="btngrabar"> <i class="bi bi-stiky"></i> Aplicar nota</a>
	
		<a class="btn btn-default mt-2" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Salir</a>
		<br><br>
		<div class="" style="overflow-x:scroll; overflow-y:scroll; height:400px;" id="listaFacturas">
		
		
		</div>
		
      </div>
    </div>
  </div>
</div>

<div id="recibo1">

</div>

<script>

  function nota(){
    var nota = $("#nota").val();
                     
   	var cliente = $("#cliente").val();
    var fecha =   <?php echo $hoy?>;
    var hora = "<?php echo date('H:i:s');?>"
    sql="update nota set fecha='"+ fecha +"', hora='"+hora+"', nota='"+nota+"', cliente='"+cliente+"', usuario='"+myUser+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#nota").val("");
      

      }else{
          alert(data);
          
      }
      
    })
    

  }


function validar_monto(v){
	
	var balance =$("#balance_neto").val()
	
	if(balance==""){balance = 0;}
	
	if(parseFloat(v)>parseFloat(balance)){
		$("#monto").val(balance)
	}
}




mostrar()
function mostrar(){
	var buscar = $("#buscar").val()
	var ruta = "<?php echo $_GET['ruta']?>"
	var zona = "<?php echo $_GET['zona']?>"
	$("#lista").html("Recopilando datos para mostrar...");
	 $.get("_clientes_ruta.php?buscar="+buscar+"&ruta="+ruta, function(data, st){
		 if(st=="success"){
			 $("#lista").html(data);
		 }
	 })
}


function listaFacturas(cliente){
	var buscar = $("#buscar").val()
	
	$("#listaFacturas").html("Recopilando datos de facturas..");
	 $.get("listaFacturas.php?cliente="+cliente, function(data, st){
		 if(st=="success"){
			 $("#listaFacturas").html(data);
		 }
	 })
}

function validar(){
	 
	
  var estado = $("#estado").val()
   var id = $("#id").val();
    if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}
	
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea validar este registro?")){return;}
    var sql="";                            
   	var actualizacion = "Recarga Validada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
    sql="update recargas set estado='Realizada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        
      
        id="";
       lessinventario()

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}



function declinar(){
	var estado = $("#estado").val()

    if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}
	
   var id = $("#id").val();
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea declinar este registro?")){return;}
    var sql="";                            
	var actualizacion = "Recarga anulada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
    sql="update recargas set estado='Anulada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        noti("success","Registro actualizado con exito","Ok");
      
        id="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}




function ver(id){
	
	
    
      $("#frm").trigger('reset');
     $("#loading").modal('show');
      
            var sql="select * from clientes where id_cliente='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
					 $("#modalActualizar").modal('show');
                     id= rs.data[i].id_cliente;   
					 
					 
                    $("#id").val(rs.data[i].id_cliente);
					$("#cliente").val(rs.data[i].nombre);
					$("#comision").val(rs.data[i].comision);
					
                    ver_balance(rs.data[i].id_cliente, rs.data[i].nombre);
                   listaFacturas(rs.data[i].nombre)
                  
                  
                  
                }
                $("#loading").modal('hide');
            })
        }
  

 
 function ver_balance(id, nombre){
	  
	
    
      
     
            var sql="select sum(balance) as balance from ventas where cliente='" +nombre+ "'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
					
                    
					$("#balance_neto").val(rs.data[i].balance);
					$("#monto").val("");
				
                    
                 
                  
                  
                }
                $("#loading").modal('hide');
            })
        }
  
 
 
 
 
function lessinventario(){
	
	  
	
	  var producto = $("#compania").val();
	 //// alert(producto)
	  var monto = $("#monto").val()
	  var numero = $("#numero").val()
	  var tasa = $("#tasa").val()
	   if(tasa==""){
		 tasa = 0;
	 }
      if(monto==""){monto = 0;}
	   
     var tt = monto * tasa;
 
  
  
    var sql="";
    sql="update productos set stock=stock - '"+ tt +"', costo=costo - '"+ tt +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		
        ////$("#modalcobrador").modal('hide');
        //////noti("success","Producto actualizado","Registro grabado");
	
      }else{
          alert(data);

      }
        $("#loading").modal('hide');
    })
	
}

$(function(){
	///$(".nav").hide();
})


function grabar(){
	var balance =$("#balance_neto").val()
	var monto =$("#monto").val()
	var nota =$("#nota").val()
	
	if(monto<=0 || monto=="0.00" || monto==""){
		alert("MONTO INVALIDO");
		return;
	}
	var cliente =$("#cliente").val()
	if(cliente==""){alert("Registro no encontrado"); return;}
	
	var param = "cliente="+cliente;
		param+="&monto="+monto;
		param+="&nota="+nota;
		param+="&balance="+balance;
	 $.get("pago_distribuido.php?"+param, function(data, st){
		 if(st=="success"){
			 if(data=="1"){
				alert("PAGO RECIBIDO CON EXITO...");
				get_ultimo();
				
			 }
		 }
	 })
	 
	 
	 
	 
	       
	
}




function get_ultimo(){
	  var sql="select * from pagos_credito where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
			   imprimir(id)

                  }
            })
}





function imprimir(id){
		$.get("recibo_cobrador.php?id="+id,function(data,st){
		if(st=="success"){
		
			$("#recibo1").html(data);
			window.location='printerplus://send?text='+document.getElementById('recibo').innerHTML;
			 $("input[type='number']").val("") 
			///alert("pago registrado RD$: "+total);
			//////window.location.reload(true);
			
	$("#btngrabar").show()
	$("#btnConfirmar").show()

		}
	})
}



</script>